# Kling V2.5 Turbo Image to Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-kling-2.5-turbo-i2v

# Kling V2.5 Turbo Image to Video

POST

/

v3

/

async

/

kling-2.5-turbo-i2v

Try it

Kling V2.5 Turbo Image to Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/kling-2.5-turbo-i2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"image": "&#x3C;string>",
"prompt": "&#x3C;string>",
"duration": "&#x3C;string>",
"cfg_scale": 123,
"mode": "&#x3C;string>",
"negative_prompt": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/kling-2.5-turbo-i2v"payload = { "image": "&#x3C;string>", "prompt": "&#x3C;string>", "duration": "&#x3C;string>", "cfg_scale": 123, "mode": "&#x3C;string>", "negative_prompt": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ image: '&#x3C;string>', prompt: '&#x3C;string>', duration: '&#x3C;string>', cfg_scale: 123, mode: '&#x3C;string>', negative_prompt: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/kling-2.5-turbo-i2v', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/kling-2.5-turbo-i2v", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'image' => '&#x3C;string>', 'prompt' => '&#x3C;string>', 'duration' => '&#x3C;string>', 'cfg_scale' => 123, 'mode' => '&#x3C;string>', 'negative_prompt' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/kling-2.5-turbo-i2v"	payload := strings.NewReader("{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"cfg_scale\": 123,\n \"mode\": \"&#x3C;string>\",\n \"negative_prompt\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/kling-2.5-turbo-i2v") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"cfg_scale\": 123,\n \"mode\": \"&#x3C;string>\",\n \"negative_prompt\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/kling-2.5-turbo-i2v")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"image\": \"&#x3C;string>\",\n \"prompt\": \"&#x3C;string>\",\n \"duration\": \"&#x3C;string>\",\n \"cfg_scale\": 123,\n \"mode\": \"&#x3C;string>\",\n \"negative_prompt\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Kling 2.5 Turbo Image-to-Video can generate cinematic, high-quality videos from a single image and text prompt. It features a new text-temporal engine, enhanced motion rendering, and faster inference speed, resulting in smooth action and content that closely matches the given prompt.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-image)

image

string

required

The initial frame image for the video. Supported formats: `.jpg`, `.jpeg`, `.png`. Image size must not exceed 10MB. Minimum resolution: 300x300 pixels.

[​](#param-prompt)

prompt

string

required

Positive prompt text for video generation. Maximum length: 2500 characters.

[​](#param-duration)

duration

string

default:"5"

Duration of the generated video (in seconds).Allowed values: `5`, `10`

[​](#param-cfg-scale)

cfg_scale

number

Controls generation flexibility. Higher values increase adherence to the prompt but reduce creative freedom.Value range: 0 to 1

[​](#param-mode)

mode

string

default:"pro"

Video generation mode. Allowed value:

- `pro`: professional mode

[​](#param-negative-prompt)

negative_prompt

string

Negative prompt to avoid undesired content in the video. Maximum length: 2500 characters.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on October 23, 2025
